//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop
#include <tchar.h>
//---------------------------------------------------------------------------
USEFORM("Preferences.cpp", PreferencesForm);
USEFORM("RichReport.cpp", RichReportForm);
USEFORM("SectSelectCom_Param.cpp", SectSelectCom_ParamFrame); /* TFrame: File Type */
USEFORM("SelectProfilSect.cpp", SelectProfilSectForm);
USEFORM("Help_FlexTens.cpp", Help_FlexTensForm);
USEFORM("DefineQBal.cpp", DefineQBalForm);
USEFORM("Define_Material_ARSS.cpp", Define_Material_ARSSForm);
USEFORM("AboutProg.cpp", AboutProgForm);
USEFORM("Add_Limit.cpp", Add_LimitForm);
USEFORM("Advanced_gamma_c.cpp", Advanced_gamma_cForm);
USEFORM("Advanced_gamma_n.cpp", Advanced_gamma_nForm);
USEFORM("Help.cpp", HelpForm);
USEFORM("HelpClass.cpp", HelpClassForm);
USEFORM("HelpKoeffLength.cpp", HelpKoeffLengthForm);
USEFORM("Help_FlexComp.cpp", Help_FlexCompForm);
USEFORM("DrawRSU.cpp", DrawRSUForm);
//---------------------------------------------------------------------------
int WINAPI _tWinMain(HINSTANCE, HINSTANCE, LPTSTR, int)
{
	try
	{
		Application->Initialize();
		Application->MainFormOnTaskBar = true;
		Application->CreateForm(__classid(TSelectProfilSectForm), &SelectProfilSectForm);
		Application->CreateForm(__classid(TAboutProgForm), &AboutProgForm);
		Application->CreateForm(__classid(TAdd_LimitForm), &Add_LimitForm);
		Application->CreateForm(__classid(TAdvanced_gamma_cForm), &Advanced_gamma_cForm);
		Application->CreateForm(__classid(TAdvanced_gamma_nForm), &Advanced_gamma_nForm);
		Application->CreateForm(__classid(TDefine_Material_ARSSForm), &Define_Material_ARSSForm);
		Application->CreateForm(__classid(TDefineQBalForm), &DefineQBalForm);
		Application->CreateForm(__classid(THelp_FlexCompForm), &Help_FlexCompForm);
		Application->CreateForm(__classid(THelp_FlexTensForm), &Help_FlexTensForm);
		Application->CreateForm(__classid(THelpClassForm), &HelpClassForm);
		Application->CreateForm(__classid(THelpKoeffLengthForm), &HelpKoeffLengthForm);
		Application->CreateForm(__classid(TPreferencesForm), &PreferencesForm);
		Application->CreateForm(__classid(TRichReportForm), &RichReportForm);
		Application->CreateForm(__classid(TDrawRSUForm), &DrawRSUForm);
		Application->CreateForm(__classid(THelpForm), &HelpForm);
		Application->Run();
	}
	catch (Exception &exception)
	{
		Application->ShowException(&exception);
	}
	catch (...)
	{
		try
		{
			throw Exception("");
		}
		catch (Exception &exception)
		{
			Application->ShowException(&exception);
		}
	}
	return 0;
}
//---------------------------------------------------------------------------
